## org.exist.xquery.functions
Class FunStringPad

    java.lang.Object
      org.exist.xquery.AbstractExpression
          org.exist.xquery.PathExpr
              org.exist.xquery.Function
                  org.exist.xquery.functions.FunStringPad

All Implemented Interfaces:
  CompiledExpression, CompiledXQuery, Expression

public class FunStringPad
extends Function

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Field Summary
`static FunctionSignature` `signature`

Fields inherited from class org.exist.xquery.Function
`BUILTIN_FUNCTION_NS`

Fields inherited from interface org.exist.xquery.Expression
`DOT_TEST, EXPRESSION_ID_INVALID, IGNORE_CONTEXT, IN_PREDICATE, IN_UPDATE, IN_WHERE_CLAUSE, NO_CONTEXT_ID, SINGLE_STEP_EXECUTION`

Constructor Summary
`FunStringPad(XQueryContext context)`

Method Summary
`Sequence` `eval(Sequence contextSequence, Item contextItem)` Evaluate the expression represented by this object.

Methods inherited from class org.exist.xquery.Function
`analyze, createFunction, dump, getArgument, getArgumentCount, getArguments, getASTNode, getCardinality, getDependencies, getName, getParent, getSignature, isCalledAs, returnsType, setArguments, setASTNode, setParent, setPrimaryAxis, toString`

Methods inherited from class org.exist.xquery.PathExpr
`accept, add, add, addPath, addPredicate, dump, getContext, getDocumentSet, getExpression, getLastExpression, getLength, getLiteralValue, getSource, isValid, replaceLastExpression, reset, resetState, setContext, setSource`

Methods inherited from class org.exist.xquery.AbstractExpression
`eval, getContextDocSet, getContextId, getExpressionId, setContextDocSet`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.exist.xquery.CompiledXQuery
`eval`

Field Detail

### signature

    public static final FunctionSignature signature

Constructor Detail

### FunStringPad

    public FunStringPad(XQueryContext context)

Parameters:
  `context` -

Method Detail

### eval

    public Sequence eval(Sequence contextSequence,
                         Item contextItem)
                  throws XPathException

  Description copied from interface: `Expression`
  Evaluate the expression represented by this object. Depending on the context in which this expression is executed, either the context sequence, the context item or both of them may be set. An implementing class should know how to handle this. The general contract is as follows: if the `Dependency.CONTEXT_ITEM` bit is set in the bit field returned by `Expression.getDependencies()`, the eval method will be called once for every item in the context sequence. The contextItem parameter will be set to the current item. Otherwise, the eval method will only be called once for the whole context sequence and contextItem will be null. eXist tries to process the entire context set in one, single step whenever possible. Thus, most classes only expect context to contain a list of nodes which represents the current context of the expression. The position() function in XPath is an example for an expression, which requires both, context sequence and context item to be set. The context sequence might be a node set, a sequence of atomic values or a single node or atomic value.

  Specified by:
    `eval` in interface `Expression`
  Specified by:
    `eval` in class `Function`
  Throws:
    `XPathException`

Copyright (C) Wolfgang Meier. All rights reserved.